Creating a Bond Wire Using VBS
时间:03-25
整理:3721RD
点击:
Hello,
I've output a script that adds a line (as a bondwire), then changes it to a JEDEC 4 point bondwire. It then changes it to give it a netname, object name, width...
The problem is that when you want to play it back, I noticed the original name gets changed to a random name (ex "Plg_1372")
How can one write a script (vbs) to create a bond wire and give it properties.
Thanks and best regards,
Mark
I've output a script that adds a line (as a bondwire), then changes it to a JEDEC 4 point bondwire. It then changes it to give it a netname, object name, width...
The problem is that when you want to play it back, I noticed the original name gets changed to a random name (ex "Plg_1372")
How can one write a script (vbs) to create a bond wire and give it properties.
Code:
Dim oAnsoftApp Dim oDesktop Dim oProject Dim oDesign Dim oEditor Dim oModule Set oAnsoftApp = CreateObject("Ansoft.ElectronicsDesktop") Set oDesktop = oAnsoftApp.GetAppDesktop() oDesktop.RestoreWindow Set oProject = oDesktop.SetActiveProject("Test2") Set oDesign = oProject.SetActiveDesign("0850714") Set oEditor = oDesign.SetActiveEditor("Layout") oEditor.CreateLine Array("NAME:Contents", "lineGeometry:=", Array("Name:=", "L1", _ "LayerName:=", "WIRES", "lw:=", "0.5mm", "endstyle:=", 0, "StartCap:=", 0, _ "n:=", 2, "U:=", "mm", _ "x:=", -2.58133790588363, "y:=", 4.23263385511796, _ "x:=", -4.70714454671725, "y:=", 4.46039996661107)) oEditor.ChangeProperty Array("NAME:AllTabs", Array("NAME:BaseElementTab", Array("NAME:PropServers", "L1"), _ Array("NAME:ChangedProps", Array("NAME:Type", "Value:=", "Cadence APD/Allegro:JEDEC4Bondwire")))) oEditor.ChangeProperty Array("NAME:AllTabs", Array("NAME:BaseElementTab", Array("NAME:PropServers", "Plg_1372"), _ Array("NAME:ChangedProps", Array("NAME:Name", "Value:=", "W1")))) oEditor.ChangeProperty Array("NAME:AllTabs", Array("NAME:BaseElementTab", Array("NAME:PropServers", "W1"), _ Array("NAME:ChangedProps", Array("NAME:Net", "Value:=", "TEST")))) oEditor.ChangeProperty Array("NAME:AllTabs", Array("NAME:BaseElementTab", Array("NAME:PropServers", "W2"), _ Array("NAME:ChangedProps", Array("NAME:Start Layer", "Value:=", "DIEPAD")))) oEditor.ChangeProperty Array("NAME:AllTabs", Array("NAME:BaseElementTab", Array("NAME:PropServers", "W2"), _ Array("NAME:ChangedProps", Array("NAME:End Layer", "Value:=", "PAD2")))) oEditor.ChangeProperty Array("NAME:AllTabs", Array("NAME:BaseElementTab", Array("NAME:PropServers", "W2"), _ Array("NAME:ChangedProps", Array("NAME:Material", "Value:=", "" & Chr(34) & "gold" & Chr(34) & "")))) oEditor.ChangeProperty Array("NAME:AllTabs", Array("NAME:BaseElementTab", Array("NAME:PropServers", "W2"), _ Array("NAME:ChangedProps", Array("NAME:PathWidth", "Value:=", "0.02mm"))))
Mark